## org.hibernate.hql.internal.ast.tree
Class ParameterNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.ParameterNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, ExpectedTypeAwareNode, InitializeableNode

    public class ParameterNode

extends HqlSqlWalkerNode
implements DisplayableNode, ExpectedTypeAwareNode

Implementation of ParameterNode.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ParameterNode()`

Method Summary
`String` `getDisplayText()` Returns additional display text for the AST node.
`Type` `getExpectedType()`
`ParameterSpecification` `getHqlParameterSpecification()`
`String` `getRenderText(SessionFactoryImplementor sessionFactory)` Retrieve the text to be used for rendering this particular node.
`void` `setExpectedType(Type expectedType)`
`void` `setHqlParameterSpecification(ParameterSpecification parameterSpecification)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterNode

    public ParameterNode()

Method Detail

### getHqlParameterSpecification

    public ParameterSpecification getHqlParameterSpecification()

### setHqlParameterSpecification

    public void setHqlParameterSpecification(ParameterSpecification parameterSpecification)

### getDisplayText

    public String getDisplayText()

  Description copied from interface: `DisplayableNode`
  Returns additional display text for the AST node.

  Specified by:
    `getDisplayText` in interface `DisplayableNode`
  Returns:
    String - The additional display text.

### setExpectedType

    public void setExpectedType(Type expectedType)

  Specified by:
    `setExpectedType` in interface `ExpectedTypeAwareNode`

### getExpectedType

    public Type getExpectedType()

  Specified by:
    `getExpectedType` in interface `ExpectedTypeAwareNode`

### getRenderText

    public String getRenderText(SessionFactoryImplementor sessionFactory)

  Description copied from class: `Node`
  Retrieve the text to be used for rendering this particular node.

  Overrides:
    `getRenderText` in class `Node`
  Parameters:
    `sessionFactory` - The session factory
  Returns:
    The text to use for rendering

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.